Debian Bug report logs - #659640
ITP: wp-mirror -- Utility for building mirrors of Wikipedias

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Dr. Kent L. Miller" <wpmirrordev@gmail.com>

Date: Sun, 12 Feb 2012 18:45:01 UTC

Owned by: Dr. Kent L. Miller <wpmirrordev@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wpmirrordev@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#659640; Package wnpp. (Sun, 12 Feb 2012 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. Kent L. Miller" <wpmirrordev@gmail.com>:
New Bug report received and forwarded. Copy sent to wpmirrordev@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 12 Feb 2012 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dr. Kent L. Miller" <wpmirrordev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wp-mirror -- Utility for building mirrors of Wikipedias
Date: Sun, 12 Feb 2012 13:43:06 -0500
Package: wnpp
Severity: wishlist
Owner: "Dr. Kent L. Miller" <wpmirrordev@gmail.com>


* Package name    : wp-mirror
  Version         : 0.3.0
  Upstream Author : Dr. Kent L. Millr <wpmirrordev@gmail.com>
* URL             : http://www.nongnu.org/wp-mirror/
* License         : GPLv3
  Programming Lang: Common Lisp (CLISP 2.48)
  Description     : Utility for building mirrors of Wikipedias

Wp-mirror is a free utility for building and maintaining a set of 
mirrors of Wikipedias (aka a Wikipedia farm).  The WikiMedia Foundation 
offers Wikipedias in nearly 300 languages.  The user specifies the set 
of languages to be mirrored (`simple' is the default, Simple English 
means shorter sentences).

Disk requirements for the `simple' wiki (as of 2011) are: 2G to store 
the database (latest revisions only for articles, templates, image 
descriptions, and primary meta-pages), and a further 40G to store the 
images.  This can easily fit on a laptop PC, and takes 100ks (a day) to 
build.

Disk requirements for the `en' wiki (as of 2011) are: 150G to store the 
database (latest revisions as above), and about 2T to store the images. 
This requires a desktop PC with at least two large hard disk drives, and 
one may expect 5Ms (two months) to build.

Wp-mirror is non-interactive and usually runs in background as a weekly 
cron job, updating the mirrors whenever WikiMedia Foundation posts new 
dump files.

If the user runs more than one instance of wp-mirror concurrently, the 
later ones monitor the progress of the first.  If a suitable windowing 
system is present, progress bars are rendered using graphics in a 
separate window, and otherwise using ASCII characters in a console.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Dr. Kent L. Miller" <wpmirrordev@gmail.com>:
Bug#659640; Package wnpp. (Mon, 27 May 2013 13:44:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Dr. Kent L. Miller" <wpmirrordev@gmail.com>. (Mon, 27 May 2013 13:44:58 GMT) Full text and rfc822 format available.

Message #10 received at 659640@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 659640@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wp-mirror: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:17 +0200
retitle 659640 RFP: wp-mirror -- Utility for building mirrors of Wikipedias
noowner 659640
tag 659640 - pending
thanks

Hi,

This is an automatic email to change the status of wp-mirror back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting wp-mirror, please send a mail to
<control@bugs.debian.org> with:

 retitle 659640 ITP: wp-mirror -- Utility for building mirrors of Wikipedias
 owner 659640 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <659640@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: wp-mirror -- Utility for building mirrors of Wikipedias' from 'ITP: wp-mirror -- Utility for building mirrors of Wikipedias' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:55:24 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Dr. Kent L. Miller" <wpmirrordev@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:55:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659640; Package wnpp. (Fri, 31 May 2013 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to wp mirror <wpmirrordev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 31 May 2013 01:45:04 GMT) Full text and rfc822 format available.

Message #19 received at 659640@bugs.debian.org (full text, mbox):

From: wp mirror <wpmirrordev@gmail.com>
To: Lucas Nussbaum <lucas@debian.org>, 659640@bugs.debian.org
Cc: control@bugs.debian.org, wpmirrordev <wpmirrordev@gmail.com>
Subject: Re: Bug#659640: wp-mirror: changing back from ITP to RFP
Date: Thu, 30 May 2013 21:43:28 -0400
Dear Lucas,

`Wp-mirror' has been available as a DEB package for over a year. The
homepage is <http://www.nongnu.org/wp-mirror/>.

1) Debian Mentors

After I filed the ITP, one person did offer to sponsor the package.
But then I heard nothing further from him.  My `wp-mirror' DEB package
builds with `debuild' and `pbuilder' with no complaints from
`lintian'.  So a sponsor would not have to do very much.

2) Development

I have continued to develop the software. Version 0.6 will be released
in a week or two (as a DEB package).

Please advise.

Sincerely Yours,
Kent

On 5/27/13, Lucas Nussbaum <lucas@debian.org> wrote:
> retitle 659640 RFP: wp-mirror -- Utility for building mirrors of Wikipedias
> noowner 659640
> tag 659640 - pending
> thanks
>
> Hi,
>
> This is an automatic email to change the status of wp-mirror back from ITP
> (Intent to Package) to RFP (Request for Package), because this bug hasn't
> seen
> any activity during the last 12 months.
>
> If you are still interested in adopting wp-mirror, please send a mail to
> <control@bugs.debian.org> with:
>
>  retitle 659640 ITP: wp-mirror -- Utility for building mirrors of
> Wikipedias
>  owner 659640 !
>  thanks
>
> However, it is not recommended to keep ITP for a long time without acting
> on
> the package, as it might cause other prospective maintainers to refrain
> from
> packaging that software. It is also a good idea to document your progress
> on
> this ITP from time to time, by mailing <659640@bugs.debian.org>.
>
> Thank you for your interest in Debian,
> --
> Lucas, for the QA team <debian-qa@lists.debian.org>
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659640; Package wnpp. (Fri, 31 May 2013 02:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to wp mirror <wpmirrordev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 31 May 2013 02:09:05 GMT) Full text and rfc822 format available.

Message #24 received at 659640@bugs.debian.org (full text, mbox):

From: wp mirror <wpmirrordev@gmail.com>
To: Lucas Nussbaum <lucas@debian.org>, 659640@bugs.debian.org
Cc: control@bugs.debian.org, wpmirrordev <wpmirrordev@gmail.com>
Subject: Re: Bug#659640: wp-mirror: changing back from ITP to RFP
Date: Thu, 30 May 2013 22:05:12 -0400
Dear Lucas,

`Wp-mirror' has been available as a DEB package for over a year. The
homepage is <http://www.nongnu.org/wp-mirror/>.

1) Debian Mentors

After I filed the ITP, one person did offer to sponsor the package.
But then I heard nothing further from him.  My `wp-mirror' DEB package
builds with `debuild' and `pbuilder' with no complaints from
`lintian'.  So a sponsor would not have to do very much.

2) Development

I have continued to develop the software. Version 0.6 will be released
in a week or two (as a DEB package).

Please advise.

Sincerely Yours,
Kent

On 5/27/13, Lucas Nussbaum <lucas@debian.org> wrote:
> retitle 659640 RFP: wp-mirror -- Utility for building mirrors of Wikipedias
> noowner 659640
> tag 659640 - pending
> thanks
>
> Hi,
>
> This is an automatic email to change the status of wp-mirror back from ITP
> (Intent to Package) to RFP (Request for Package), because this bug hasn't
> seen
> any activity during the last 12 months.
>
> If you are still interested in adopting wp-mirror, please send a mail to
> <control@bugs.debian.org> with:
>
>  retitle 659640 ITP: wp-mirror -- Utility for building mirrors of
> Wikipedias
>  owner 659640 !
>  thanks
>
> However, it is not recommended to keep ITP for a long time without acting
> on
> the package, as it might cause other prospective maintainers to refrain
> from
> packaging that software. It is also a good idea to document your progress
> on
> this ITP from time to time, by mailing <659640@bugs.debian.org>.
>
> Thank you for your interest in Debian,
> --
> Lucas, for the QA team <debian-qa@lists.debian.org>
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659640; Package wnpp. (Fri, 31 May 2013 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 31 May 2013 15:57:04 GMT) Full text and rfc822 format available.

Message #29 received at 659640@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: wp mirror <wpmirrordev@gmail.com>
Cc: 659640@bugs.debian.org
Subject: Re: Bug#659640: wp-mirror: changing back from ITP to RFP
Date: Fri, 31 May 2013 17:54:07 +0200
On 30/05/13 at 21:43 -0400, wp mirror wrote:
> Dear Lucas,
> 
> `Wp-mirror' has been available as a DEB package for over a year. The
> homepage is <http://www.nongnu.org/wp-mirror/>.
> 
> 1) Debian Mentors
> 
> After I filed the ITP, one person did offer to sponsor the package.
> But then I heard nothing further from him.  My `wp-mirror' DEB package
> builds with `debuild' and `pbuilder' with no complaints from
> `lintian'.  So a sponsor would not have to do very much.
> 
> 2) Development
> 
> I have continued to develop the software. Version 0.6 will be released
> in a week or two (as a DEB package).
> 
> Please advise.

Hi Kent,

I know it's often hard to find sponsors for initial uploads. I can only
recommend that you try again, following the process described in
http://mentors.debian.net/intro-maintainers

Thanks,

Lucas



Changed Bug title to 'ITP: wp-mirror -- Utility for building mirrors of Wikipedias' from 'RFP: wp-mirror -- Utility for building mirrors of Wikipedias' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 03 Jun 2013 09:39:52 GMT) Full text and rfc822 format available.

Owner recorded as Dr. Kent L. Miller <wpmirrordev@gmail.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 03 Jun 2013 09:39:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:23:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.